Outdated recommendation about Multisite User Management

Hi Ash,

unfortunately the recommended Plugin to sort out our Multisite User Management isn't the best one. You recommended to use following wp-plugin...

Multisite User Management
https://wordpress.org/plugins/multisite-user-management/

BUT available version supports as follow

Requires: 3.0 or higher
Compatible up to: 3.4.2
Last Updated: 2014-10-16

As you see, this plugin is outdated and cannot installed anymore.

Do you know about another solution to get all those NEW USER registration automatically transferred to our sub domains?

Looking forward to hear from you.
Thanks in advance
Prinz